Bug 840743 - [abrt] xarchiver-0.5.2-13.fc17: __GI_____strtol_l_internal: Process /usr/bin/xarchiver was killed by signal 11 (SIGSEGV)
[abrt] xarchiver-0.5.2-13.fc17: __GI_____strtol_l_internal: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xarchiver (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:4dcf03bf9fd9e58fe6afd13c6d0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 03:01 EDT by Clemens Eisserer
Modified: 2013-07-31 18:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.10 KB, text/plain)
2012-07-17 03:01 EDT, Clemens Eisserer
no flags Details
File: maps (27.00 KB, text/plain)
2012-07-17 03:01 EDT, Clemens Eisserer
no flags Details
File: dso_list (4.91 KB, text/plain)
2012-07-17 03:01 EDT, Clemens Eisserer
no flags Details

  None (edit)
Description Clemens Eisserer 2012-07-17 03:01:26 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xarchiver /home/ce/EDMA3Test.7z
comment:        Trying to open any *.7z archives, xarchiver immediatly crashes
core_backtrace: 
crash_function: __GI_____strtol_l_internal
executable:     /usr/bin/xarchiver
kernel:         3.4.4-5.fc17.x86_64
pid:            2015
pwd:            /home/ce
time:           Tue 17 Jul 2012 08:57:10 AM CEST
uid:            1000
username:       ce

backtrace:      Text file, 31846 bytes
dso_list:       Text file, 5024 bytes
maps:           Text file, 27648 bytes

build_ids:
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:2f0347ea51845f75fbf92a0e670cf672897a81e5
:b6d75088f555d197be1476cb1c580640826ae029
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:b277af36744327e3d58eae76bcdaadcca71a28c6
:ec87953f655fbcbcbe71b591db5451e56739576e
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:e169c5cb606a34f484dea00f1e84b176170afeeb
:253afe744466fe7580bbb6040de6183dba9e2b02
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:f64b7319b84d426ed547084bdb2577f4f596c18f
:508cf66f72e70054a41215f80ed2385c6bb80030
:54a5cc118d928470da13565de8592b664a9868e0
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:822e9b3523e8312240f41a25722d539bc77ed436
:67792c148d2b8f13f6732c9367e926c26d7376c5
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:d8d393649ae4da146ebc8812db58514f245f08a9
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:f1c49123d06db01a4d1a4749d57f52f01bac8f63
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:8c1105fdca80308f44d545b954a7dcd518f98db5
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:1a0c09f270adf8398df4362ce0acfafc1f970982
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:31243d0d107bba586a96433c76c87a26db1e826c
:247132297f287226a24c12e683292f5c94013066
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ce/2

environ:
:XDG_VTNR=7
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1210
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/ce/.gnupg/S.gpg-agent:1234:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=5000
:XDG_SESSION_COOKIE=179b7fb0f86e2af190f8dd190000000d-1342513841.799312-168180732
:GNOME_KEYRING_CONTROL=/home/ce/.cache/keyring-vVrgn2
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=ce
:GLADE_MODULE_PATH=:
:XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
:XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
:SSH_AUTH_SOCK=/tmp/ssh-WgqYIqBj1073/agent.1073
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/ce
:DESKTOP_SESSION=xfce
:PATH=/usr/libexec/lightdm:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ce/bin
:QT_IM_MODULE=xim
:PWD=/home/ce
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1068
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/ce
:LOGNAME=ce
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lK9ragLJbr,guid=c1c4fcf5f855f084baa7d60f00000013
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/ce
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/lightdm/ce/xauthority
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1243,unix/unix:/tmp/.ICE-unix/1243
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-xarchiver.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2015
:DESKTOP_STARTUP_ID=Thunar-1252-localhost.localdomain-xarchiver-1_TIME1608051

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 45929                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       45929                45929                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/home/ce/.xsession-errors
:pos:	2347
:flags:	0102001
:3:socket:[37725]
:pos:	0
:flags:	02
:4:socket:[37726]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[44356]
:pos:	0
:flags:	02004002
:7:anon_inode:inotify
:pos:	0
:flags:	02004000
:8:socket:[44357]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 43eb5c92-526a-4ce1-bfd4-0042392200b6
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.15
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 5762
:System Swap: 0
:Vendor: Hewlett-Packard
:System: HP EliteBook 2540p 
:Form factor: Notebook
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4156:28680) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15151:4156:28680) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:4156:28680) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4156:28680) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:4330:4156:28680) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:4156:28680) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:4156:28680) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4156:28680) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4156:28680) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:4156:28680) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:4156:28680) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4156:28680) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4156:28680) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4156:28680) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:4156:28680) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(4480:2098:4156:28680) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4156:28680) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1142:4156:28680) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-d5ba5e4b-1b4a-4b20-8efe-b634b4dd5a70 / ext4 4096 4096 31095865 8188690 7877447 7782400 7282162 7282162
:/dev/loop0 WITHHELD squashfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sda1 /boot ext4 1024 1024 508644 397494 371894 128016 127609 127609
:

var_log_messages:
:Jul 16 22:51:29 localhost kernel: [ 9823.475449] xarchiver[3261]: segfault at 1 ip 0000003f70e39f54 sp 00007fffb75afac0 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:51:29 localhost abrt[3268]: Saved core dump of pid 3261 (/usr/bin/xarchiver) to /var/spool/abrt/ccpp-2012-07-16-22:51:29-3261 (30134272 bytes)
:Jul 16 22:51:30 localhost kernel: [ 9824.899422] xarchiver[3300]: segfault at 1 ip 0000003f70e39f54 sp 00007fff39289930 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:51:30 localhost abrt[3307]: Not dumping repeating crash in '/usr/bin/xarchiver'
:Jul 16 22:51:31 localhost kernel: [ 9825.738183] xarchiver[3309]: segfault at 1 ip 0000003f70e39f54 sp 00007fffb522ed30 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:51:31 localhost abrt[3316]: Not dumping repeating crash in '/usr/bin/xarchiver'
:Jul 16 22:54:50 localhost kernel: [10024.986998] xarchiver[3387]: segfault at 1 ip 0000003f70e39f54 sp 00007fff238edfa0 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:54:50 localhost abrt[3395]: Saved core dump of pid 3387 (/usr/bin/xarchiver) to /var/spool/abrt/ccpp-2012-07-16-22:54:50-3387 (30253056 bytes)
:Jul 16 22:55:34 localhost kernel: [10068.898835] xarchiver[3564]: segfault at 1 ip 0000003f70e39f54 sp 00007fff59b926b0 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:55:34 localhost abrt[3572]: Saved core dump of pid 3564 (/usr/bin/xarchiver) to /var/spool/abrt/ccpp-2012-07-16-22:55:34-3564 (30007296 bytes)
:Jul 16 22:55:39 localhost yum[3464]: Installed: xarchiver-debuginfo-0.5.2-13.fc17.x86_64
:Jul 16 22:56:33 localhost kernel: [10127.392766] xarchiver[3645]: segfault at 1 ip 0000003f70e39f54 sp 00007fff48219ee0 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:56:33 localhost abrt[3653]: Saved core dump of pid 3645 (/usr/bin/xarchiver) to /var/spool/abrt/ccpp-2012-07-16-22:56:33-3645 (30236672 bytes)
:Jul 16 22:56:46 localhost kernel: [10140.248198] xarchiver[3684]: segfault at 1 ip 0000003f70e39f54 sp 00007fffe72322c0 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:56:46 localhost abrt[3691]: Not dumping repeating crash in '/usr/bin/xarchiver'
:Jul 16 22:56:48 localhost kernel: [10143.145675] xarchiver[3693]: segfault at 1 ip 0000003f70e39f54 sp 00007fffbf251660 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:56:48 localhost abrt[3700]: Not dumping repeating crash in '/usr/bin/xarchiver'
:Jul 16 22:56:49 localhost kernel: [10144.138416] xarchiver[3702]: segfault at 1 ip 0000003f70e39f54 sp 00007fff159f4010 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:56:49 localhost abrt[3709]: Not dumping repeating crash in '/usr/bin/xarchiver'
:Jul 16 22:56:52 localhost kernel: [10146.944603] xarchiver[3718]: segfault at 1 ip 0000003f70e39f54 sp 00007fff06749670 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 16 22:56:52 localhost abrt[3725]: Not dumping repeating crash in '/usr/bin/xarchiver'
:Jul 17 08:49:02 localhost kernel: [ 1120.124780] xarchiver[1757]: segfault at 1 ip 0000003f70e39f54 sp 00007fffaa2e5c50 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 17 08:57:10 localhost kernel: [ 1607.511326] xarchiver[2015]: segfault at 1 ip 0000003f70e39f54 sp 00007fff2a3604e0 error 4 in libc-2.15.so[3f70e00000+1ac000]
:Jul 17 08:57:10 localhost abrt[2022]: Saved core dump of pid 2015 (/usr/bin/xarchiver) to /var/spool/abrt/ccpp-2012-07-17-08:57:10-2015 (30117888 bytes)
Comment 1 Clemens Eisserer 2012-07-17 03:01:32 EDT
Created attachment 598566 [details]
File: backtrace
Comment 2 Clemens Eisserer 2012-07-17 03:01:37 EDT
Created attachment 598567 [details]
File: maps
Comment 3 Clemens Eisserer 2012-07-17 03:01:41 EDT
Created attachment 598568 [details]
File: dso_list
Comment 4 Andrew Nguyen 2012-08-11 12:57:44 EDT
Opening the 7z archive from http://opengameart.org/sites/default/files/lpc_code_entries/source_final.7z with xarchiver after installing p7zip results in a crash on startup.

backtrace_rating: 4
Package: xarchiver-0.5.2-13.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Emil Lauridsen 2012-10-16 17:00:19 EDT
Okay, the procedure is as follows:
1. Acquire a 7zip archive
2. Open the archive in Xarchivar through Thunar
3. Crash should happen

The relevant 7zip packages (p7zip and p7zip-plugins) are already installed.


backtrace_rating: 4
Package: xarchiver-0.5.2-13.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Miro Hrončok 2013-01-29 17:24:07 EST
Just happened to me too
Comment 7 Fedora End Of Life 2013-07-03 17:31:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 18:39:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.